Subject: Austrees

From: [email-masked]
Date: Wed, 28 Dec 1994 20:24:31 GMT

I live in Vermillion, SD, zone 4.  I would like to hear from anyone who has had
experience growing Austrees.  These are supposedly sterile male clones of Salix
Matsudana X alba, and are sold by Rocky Mountain Austree in Colorad Springs,
CO.  I would like to know if they are reliably winter hardy in similar
climates, and if they are likely to get out of control and become a threat to
native species.  I am considering planting some for bank stabilization along
the Vermillion River, whose water level fluctuates a great deal over the course
of a year.

Thank you for any advice you can give.

Barbara Heisinger